# `container_traits` Interface

Traits of a priority-queue container based on its underlying data structure.

Defined in: `tag_and_trait.hpp`

## Template Parameters

Parameter | Description | Default Value

    class Cntnr

Container type.

-

## Public Types and Constants

### Container Attributes

Type | Definition | Description

    container_category

    Underlying data structure.

Data structure category.

    invalidation_guarantee

    Invalidation guarantee.

Invalidation-guarantee type.

This is either `basic_invalidation_guarantee`, `point_invalidation_guarantee`, or `range_invalidation_guarantee`

    split_join_can_throw

    True only if split or join operations can throw.

Split-join throw indicator.